#!/usr/bin/python3

import subprocess
import json

def main():
    ret = {"data": []}
    output = subprocess.run("""
        systemctl list-unit-files | grep -E '\.service\s+(generated|enabled)' | awk -F'.service ' '{print $1}'
        """,
        shell=True,
        capture_output=True).stdout

    for line in output.splitlines():
        ret["data"].append({"{#SERVICE}": line.decode("utf-8")})

    return json.dumps(ret)

if __name__ == "__main__":
    res = main()
    print(res)
